GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_arg Struct Reference

A single argument... More...

`#include <grpc.h>`

## Data Fields
grpc_arg_type | type
char * | key
union {
char * string
int integer
struct {
void * p
void *(* copy )(void *p)
void(* destroy )(void *p)
} pointer
} | value

## Detailed Description

A single argument...

each argument has a key and a value

A note on naming keys: Keys are namespaced into groups, usually grouped by library, and are keys for module XYZ are named XYZ.key1, XYZ.key2, etc. Module names must be restricted to the regex [A-Za-z][_A-Za-z0-9]{,15}. Key names must be restricted to the regex [A-Za-z][_A-Za-z0-9]{,47}.

GRPC core library keys are prefixed by grpc.

Library authors are strongly encouraged to #define symbolic constants for their keys so that it's possible to change them in the future.

## Field Documentation

void*(* grpc_arg::copy)(void *p)

void(* grpc_arg::destroy)(void *p)

int grpc_arg::integer

char* grpc_arg::key

void* grpc_arg::p

struct { ... } grpc_arg::pointer

char* grpc_arg::string

grpc_arg_type grpc_arg::type

union { ... } grpc_arg::value

The documentation for this struct was generated from the following file:

- include/grpc/grpc.h